
Katello - Bug #5098

select all boxes are global across all lists

04/07/2014 09:12 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently nutupane select all boxes are global across all lists.  So if you have a nutupane with a details table in the details pane,

select one 'select all' box will select the other.

Associated revisions

Revision d4b69171 - 04/14/2014 01:53 PM - Eric Helms

Fixes #5098: Table select all checkboxes no longer trigger one another.

Previously, the select all functionality was tied to the assumption that a

table variable existed attached to the scope; however, this use of a table

variable reflected that created by an outside controller and not the internal

scope of the directive.

Changes the handling of select all internally within alch table by

introducing a private variable that belongs to each instance of alch-table.

Methods were introduced to wrap the internal variable to enforce the internal

nature of the variable.

Revision 67095980 - 04/14/2014 05:53 PM - Eric Helms

Fixes #5098: Table select all checkboxes no longer trigger one another.

Previously, the select all functionality was tied to the assumption that a

table variable existed attached to the scope; however, this use of a table

variable reflected that created by an outside controller and not the internal

scope of the directive.

Changes the handling of select all internally within alch table by

introducing a private variable that belongs to each instance of alch-table.

Methods were introduced to wrap the internal variable to enforce the internal

nature of the variable.

Revision f44bd72d - 04/16/2014 01:44 PM - Eric Helms

Merge pull request #3958 from ehelms/fixes-5098

Fixes #5098: Table select all checkboxes no longer trigger one another.

Revision 47fe81d3 - 04/16/2014 05:44 PM - Eric Helms

Merge pull request #3958 from ehelms/fixes-5098

Fixes #5098: Table select all checkboxes no longer trigger one another.

History

#1 - 04/16/2014 05:53 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100
Applied in changeset katello|commit:670959802941217f2879772973726055d66a93a1.

#2 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
